Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 234153

Summary: Generated named config omits 'listen-on-ipv6 { any; };'
Product: [Fedora] Fedora Reporter: David Woodhouse <dwmw2>
Component: system-config-bindAssignee: Radek Vokal <rvokal>
Status: CLOSED CURRENTRELEASE QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: 9CC: mark, triage
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard: bzcl34nup
Fixed In Version: 9 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2008-07-28 14:46:55 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On:    
Bug Blocks: 195271    

Description David Woodhouse 2007-03-27 14:50:16 UTC
I just diagnosed a nameserver failure which resulted from the system-config-bind
tool spitting out a configuration which doesn't listen on IPv6 addresses. We
should listen on all addresses by default; not just Legacy IP addresses.

Comment 1 Bug Zapper 2008-04-04 06:41:49 UTC
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.
http://fedoraproject.org/wiki/LifeCycle/EOL

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers

Comment 2 Mark McClelland 2008-04-23 04:45:53 UTC
I just confirmed that this bug is still in current rawhide: deleted named.conf,
ran system-config-bind, and the generated named.conf had no listen-* directives.
I confirmed with netstat that this config allows bind to listen to port 53 on
all IPv4 networks, but only on ::1 with IPv6.

Please update the status of this bug.

Comment 3 Bug Zapper 2008-05-14 02:42:26 UTC
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 4 Radek Brich 2008-05-26 15:22:50 UTC
fix submitted to F9 and Fdevel

Comment 5 Fedora Update System 2008-05-26 15:39:25 UTC
system-config-bind-4.0.8-1.fc9 has been submitted as an update for Fedora 9

Comment 6 Fedora Update System 2008-05-29 02:33:43 UTC
system-config-bind-4.0.8-1.fc9 has been pushed to the Fedora 9 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update system-config-bind'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F9/FEDORA-2008-4394

Comment 7 Fedora Update System 2008-06-03 07:35:25 UTC
system-config-bind-4.0.8-1.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 10 Jaroslav Reznik 2008-07-28 14:46:55 UTC
Closing, fixed in F9 (system-config-bind-4.0.8-1.fc9). If problem still persist,
please reopen this bug report.